Page MenuHomePhabricator

Echo Notifications Thank You uses outdated PNG icon instead of SVG
Closed, ResolvedPublic

Description

Echo's Notification Thank You items use an outdated PNG icon instead of an SVG. That's suboptimal for two reasons:

  1. Doesn't provide best experience on HiDPI screens
  2. Isn't aligned with the overhauled color palette at M82

Details

Event Timeline

Volker_E created this task.Oct 27 2016, 7:09 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 27 2016, 7:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Here it is a SVG-based version in case it is useful:

That has already been in the repo https://phabricator.wikimedia.org/diffusion/ECHO/browse/master/modules/icons/thanks-ltr.svg (and its companion -rtl; without the positive/green fill color though). It's just not in use yet.

This could be because the Thanks notification isn't in the Echo extension, but in the Thanks extension.

I found out why: thanks.svg in Echo is a (24x24px) secondary link icon, whereas the (30x30px) notification icon for thanks notifications is ThankYou.png in the Thanks extension. I'll fix this.

Change 320947 had a related patch set uploaded (by Catrope):
Use SVG for Thanks notification icon instead of PNG

https://gerrit.wikimedia.org/r/320947

Change 320948 had a related patch set uploaded (by Catrope):
Delete PNG icon for Thanks notifications

https://gerrit.wikimedia.org/r/320948

MtDu closed this task as Resolved.Dec 23 2016, 1:47 PM

Patch has been merged. Sorry for the delay!
Thanks!

Change 320948 merged by jenkins-bot:
Replaced PNG icon with SVG icons for Thanks notifications

https://gerrit.wikimedia.org/r/320948

Volker_E reopened this task as Open.Dec 31 2016, 3:28 AM

Re-opening as patch set 320947 is still around.

Change 329729 had a related patch set uploaded (by MtDu):
Replaced thanks-ltr/rtl (secondary) icons with larger thanks-green-ltr/rtl (main) icons

https://gerrit.wikimedia.org/r/329729

Change 320947 abandoned by Catrope:
Use SVG for Thanks notification icon instead of PNG

https://gerrit.wikimedia.org/r/320947

Volker_E closed this task as Resolved.Dec 31 2016, 4:01 AM
Volker_E triaged this task as Medium priority.
Volker_E removed a project: Patch-For-Review.
MtDu added a comment.Dec 31 2016, 4:01 AM

Patchset here has been merged. https://gerrit.wikimedia.org/r/#/c/329729/ Hence closing as resolved.
Thanks!

Change 329729 merged by jenkins-bot:
Replaced thanks-ltr/rtl (secondary) icons with larger thanks-green-ltr/rtl (main) icons

https://gerrit.wikimedia.org/r/329729

Volker_E moved this task from Review to Done on the UI-Standardization-Kanban board.